path: /build/build/libmtp-media-libs-1.1.16.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc crypt" emerge media-libs/libmtp -pv -t && \
    USE="-doc crypt" emerge -j ${JOBS} --nodeps media-libs/libmtp
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libmtp && luet-portage --dir /pkgdir/libmtp
    media-libs/libmtp && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:2f714fc81905982f1d3ee0ef7d219a25bc4f10c2165bee3eabcec26ce7d6d686
  package:
    name: libmtp
    version: 1.1.16
    category: media-libs
    use_flags:
    - -doc
    - crypt
    requires:
    - name: libimobiledevice
      version: '>=0'
      category: app-pda
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Implementation of Microsoft's Media Transfer Protocol (MTP)
    uri:
    - http://libmtp.sourceforge.net/
    license: LGPL-2.1
    buildtimestamp: 2023-09-04 21:14:56.78268518 +0000 UTC m=+512.305992560
    labels:
      BDEPEND: '>sys-devel/gettext-0.18.3 virtual/pkgconfig doc? ( app-doc/doxygen
        ) virtual/pkgconfig'
      DEPEND: virtual/libusb:1 crypt? ( >=dev-libs/libgcrypt-1.5.4:0= ) sys-apps/shadow
      IUSE: +crypt doc examples static-libs
      RDEPEND: virtual/libusb:1 crypt? ( >=dev-libs/libgcrypt-1.5.4:0= )
      emerge.packages: media-libs/libmtp
      kit: media-kit
      original.package.name: media-libs/libmtp
      original.package.slot: "0"
      original.package.version: 1.1.16
    treedir: /build/packages
  package_dir: /pkgdir/libmtp
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 9a06a38a3550d601c76929d39689457a420b2bcadd19de4cc761a20ee857ea0d
compressiontype: zstd
files:
- lib/udev/hwdb.d/69-libmtp.hwdb
- lib/udev/mtp-probe
- lib/udev/rules.d/69-libmtp.rules
- usr/bin/mtp-albumart
- usr/bin/mtp-albums
- usr/bin/mtp-connect
- usr/bin/mtp-delfile
- usr/bin/mtp-detect
- usr/bin/mtp-emptyfolders
- usr/bin/mtp-files
- usr/bin/mtp-filetree
- usr/bin/mtp-folders
- usr/bin/mtp-format
- usr/bin/mtp-getfile
- usr/bin/mtp-getplaylist
- usr/bin/mtp-hotplug
- usr/bin/mtp-newfolder
- usr/bin/mtp-newplaylist
- usr/bin/mtp-playlists
- usr/bin/mtp-reset
- usr/bin/mtp-sendfile
- usr/bin/mtp-sendtr
- usr/bin/mtp-thumb
- usr/bin/mtp-tracks
- usr/bin/mtp-trexist
- usr/include/libmtp.h
- usr/lib64/libmtp.so
- usr/lib64/libmtp.so.9
- usr/lib64/libmtp.so.9.4.0
- usr/lib64/pkgconfig/libmtp.pc
- usr/share/doc/libmtp-1.1.16/AUTHORS.bz2
- usr/share/doc/libmtp-1.1.16/README.bz2
- usr/share/doc/libmtp-1.1.16/TODO.bz2
- var/db/pkg/media-libs/libmtp-1.1.16/BDEPEND
- var/db/pkg/media-libs/libmtp-1.1.16/BUILD_TIME
- var/db/pkg/media-libs/libmtp-1.1.16/CATEGORY
- var/db/pkg/media-libs/libmtp-1.1.16/CBUILD
- var/db/pkg/media-libs/libmtp-1.1.16/CFLAGS
- var/db/pkg/media-libs/libmtp-1.1.16/CHOST
- var/db/pkg/media-libs/libmtp-1.1.16/CONTENTS
- var/db/pkg/media-libs/libmtp-1.1.16/COUNTER
- var/db/pkg/media-libs/libmtp-1.1.16/CXXFLAGS
- var/db/pkg/media-libs/libmtp-1.1.16/DEFINED_PHASES
- var/db/pkg/media-libs/libmtp-1.1.16/DEPEND
- var/db/pkg/media-libs/libmtp-1.1.16/DESCRIPTION
- var/db/pkg/media-libs/libmtp-1.1.16/EAPI
- var/db/pkg/media-libs/libmtp-1.1.16/FEATURES
- var/db/pkg/media-libs/libmtp-1.1.16/HOMEPAGE
- var/db/pkg/media-libs/libmtp-1.1.16/INHERITED
- var/db/pkg/media-libs/libmtp-1.1.16/IUSE
- var/db/pkg/media-libs/libmtp-1.1.16/IUSE_EFFECTIVE
- var/db/pkg/media-libs/libmtp-1.1.16/KEYWORDS
- var/db/pkg/media-libs/libmtp-1.1.16/LDFLAGS
- var/db/pkg/media-libs/libmtp-1.1.16/LICENSE
- var/db/pkg/media-libs/libmtp-1.1.16/NEEDED
- var/db/pkg/media-libs/libmtp-1.1.16/PF
- var/db/pkg/media-libs/libmtp-1.1.16/PROVIDES
- var/db/pkg/media-libs/libmtp-1.1.16/RDEPEND
- var/db/pkg/media-libs/libmtp-1.1.16/REQUIRES
- var/db/pkg/media-libs/libmtp-1.1.16/SIZE
- var/db/pkg/media-libs/libmtp-1.1.16/SLOT
- var/db/pkg/media-libs/libmtp-1.1.16/USE
- var/db/pkg/media-libs/libmtp-1.1.16/environment.bz2
- var/db/pkg/media-libs/libmtp-1.1.16/libmtp-1.1.16.ebuild
- var/db/pkg/media-libs/libmtp-1.1.16/repository
package_cacheimage: ""
runtime:
  name: libmtp
  version: 1.1.16
  category: media-libs
  use_flags:
  - -doc
  - crypt
  requires:
  - name: libgcrypt
    version: '>=0'
    category: dev-libs
  - name: libusb
    version: '>=0'
    category: virtual-1
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Implementation of Microsoft's Media Transfer Protocol (MTP)
  uri:
  - http://libmtp.sourceforge.net/
  license: LGPL-2.1
  labels:
    BDEPEND: '>sys-devel/gettext-0.18.3 virtual/pkgconfig doc? ( app-doc/doxygen )
      virtual/pkgconfig'
    DEPEND: virtual/libusb:1 crypt? ( >=dev-libs/libgcrypt-1.5.4:0= ) sys-apps/shadow
    IUSE: +crypt doc examples static-libs
    RDEPEND: virtual/libusb:1 crypt? ( >=dev-libs/libgcrypt-1.5.4:0= )
    emerge.packages: media-libs/libmtp
    kit: media-kit
    original.package.name: media-libs/libmtp
    original.package.slot: "0"
    original.package.version: 1.1.16
